package com.boman.domain;

import com.boman.domain.BaseEntity;
import com.boman.domain.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @author tjf
 * @Date: 2021/09/07/9:58
 */
public class VaccineInfoUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 身份证号码
     */
    @Excel(name = "身份证号码")
    private String idCard;

    /**
     * 疫苗名称
     */
    @Excel(name = "疫苗名称")
    private String vaccineName;

    /**
     * 剂次（1/2/3/加强针）
     */
    @Excel(name = "剂次", readConverterExp = "1=/2/3/加强针")
    private String jici;


    /**
     * 接种时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "接种时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date vaccinationTime;

    /**
     * 接种地点
     */
    @Excel(name = "接种地点")
    private String vaccinationPlace;

    /**
     * 进度
     */
    @Excel(name = "进度")
    private String progress;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String status;

    /**
     * 是否删除
     */
    @Excel(name = "是否删除")
    private String isDel;

    /**
     * 疫苗表附件地址
     */
    private String url;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getVaccineName() {
        return vaccineName;
    }

    public void setVaccineName(String vaccineName) {
        this.vaccineName = vaccineName;
    }

    public String getJici() {
        return jici;
    }

    public void setJici(String jici) {
        this.jici = jici;
    }

    public Date getVaccinationTime() {
        return vaccinationTime;
    }

    public void setVaccinationTime(Date vaccinationTime) {
        this.vaccinationTime = vaccinationTime;
    }

    public String getVaccinationPlace() {
        return vaccinationPlace;
    }

    public void setVaccinationPlace(String vaccinationPlace) {
        this.vaccinationPlace = vaccinationPlace;
    }

    public String getProgress() {
        return progress;
    }

    public void setProgress(String progress) {
        this.progress = progress;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return "VaccineInfoUser{" +
                "id=" + id +
                ", idCard='" + idCard + '\'' +
                ", vaccineName='" + vaccineName + '\'' +
                ", jici='" + jici + '\'' +
                ", vaccinationTime=" + vaccinationTime +
                ", vaccinationPlace='" + vaccinationPlace + '\'' +
                ", progress='" + progress + '\'' +
                ", status='" + status + '\'' +
                ", isDel='" + isDel + '\'' +
                '}';
    }
}
